Create Custom Template
POST
/api/v1/workflows/templates/custom
const url = 'https://api.ultimateteam.ai/api/v1/workflows/templates/custom';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"category":"operations","description":"example","name":"example","schedule_cron":"example","steps":[{}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/workflows/templates/custom \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "category": "operations", "description": "example", "name": "example", "schedule_cron": "example", "steps": [ {} ] }'Create a custom workflow template (Enterprise only).
Builds a WorkflowTemplate and factory from the provided step definitions, stores them in the CustomTemplateStore.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CreateCustomTemplateRequest
Request body for creating a custom workflow template.
Attributes: name: Display name for the template. description: Human-readable description. category: Template category classification. steps: List of step definition dicts. schedule_cron: Optional default cron expression.
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Create Custom Template Api V1 Workflows Templates Custom Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}